Revoke a token

Client authentication can be provided either:

  1. In the request body using client_id and client_secret parameters, or
  2. Using HTTP Basic authentication with client_id as username and client_secret as password

If both are provided, Basic authentication takes precedence.

Invalidates either an access token or refresh token. Use this endpoint when:

  • A user logs out
  • A token may have been compromised
  • You want to clean up unused tokens

Note: Revoking a refresh token will automatically invalidate any access tokens generated from it.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Form Data
string
required

The token to revoke (either an access_token or refresh_token)

string
enum

Optional hint about the type of token being revoked

Allowed:
string
required
string
required
Responses
200

Token successfully revoked

400

Invalid token format

401

Invalid client credentials

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here!